[package - 130i386-quarterly][www/py-flask-migrate] Failed for py38-flask-migrate-3.1.0 in run-depends

From: <pkg-fallout_at_FreeBSD.org>
Date: Thu, 21 Oct 2021 01:24:30 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     sunpoet_at_FreeBSD.org
Log URL:        http://beefy13.nyi.freebsd.org/data/130i386-quarterly/3d9c17481d61/logs/py38-flask-migrate-3.1.0.log
Build URL:      http://beefy13.nyi.freebsd.org/build.html?mastername=130i386-quarterly&build=3d9c17481d61
Log:

=>> Building www/py-flask-migrate
build started at Thu Oct 21 01:24:23 UTC 2021
port directory: /usr/ports/www/py-flask-migrate
package name: py38-flask-migrate-3.1.0
building for: FreeBSD 130i386-quarterly-job-11 13.0-RELEASE-p4 FreeBSD 13.0-RELEASE-p4 i386
maintained by: sunpoet_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400008
Jail OSVERSION: 1300139
Job Id: 11

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1300139
UNAME_v=FreeBSD 13.0-RELEASE-p4
UNAME_r=13.0-RELEASE-p4
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/130i386-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/130i386-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=130i386-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/130i386-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=py38
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=py38
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
sunpoet_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.8" XDG_DATA_HOME=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38  XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38  HOME=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38 TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38  XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38  HOME=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38 TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/www/py-flask-migrate/work-py38/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LDSHARED="cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python3.8  PYTHON_LIBDIR=lib/python3.8  PYTHON_PLATFORM=freebsd13  PYTHON_SITELIBDIR=lib/python3.8/site-packages  PYTHON_SUFFIX=38  PYTHON_EXT_SUFFIX=.cpython-38  PYTHON_VER=3.8  PYTHON_VERSION=python3.8 PYTHON2="_at_comment " PYTHON3="" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/py38-flask-migrate"  EXAMPLESDIR="share/examples/py38-flask-migrate"  DATADIR="share/py38-flask-migrate"  WWWDIR="www/py38-flask-migrate"  ETCDIR="etc/py38-flask-migrate"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/py38-flask-migrate DOCSDIR=/usr/local/share/doc/py38-flask-migrate EXAMPLESDIR=/usr/local/share/examples/py38-flask-migrate  WWWDIR=/usr/local/www/py38-flask-migrate ETCDIR=/usr/local/etc/py38-flask-migrate
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: i386-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: i386-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-m" "elf_i386_fbsd" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: i386-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=i386
OPSYS=FreeBSD
_OSRELEASE=13.0-RELEASE-p4
OSREL=13.0
OSVERSION=1300139
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py38-flask-migrate-3.1.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.17.2.pkg
[130i386-quarterly-job-11] Installing pkg-1.17.2...
[130i386-quarterly-job-11] Extracting pkg-1.17.2: .......... done
===>   py38-flask-migrate-3.1.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py38-flask-migrate-3.1.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by py38-flask-migrate-3.1.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by py38-flask-migrate-3.1.0 for building
=> SHA256 Checksum OK for Flask-Migrate-3.1.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by py38-flask-migrate-3.1.0 for building
===>  Extracting for py38-flask-migrate-3.1.0
=> SHA256 Checksum OK for Flask-Migrate-3.1.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py38-flask-migrate-3.1.0
===========================================================================
=======================<phase: build-depends  >============================
===>   py38-flask-migrate-3.1.0 depends on package: py38-setuptools>0 - not found
===>   Installing existing package /packages/All/py38-setuptools-57.0.0.pkg
[130i386-quarterly-job-11] Installing py38-setuptools-57.0.0...
[130i386-quarterly-job-11] `-- Installing python38-3.8.12...
[130i386-quarterly-job-11] |   `-- Installing gettext-runtime-0.21...
[130i386-quarterly-job-11] |   | `-- Installing indexinfo-0.3.1...
[130i386-quarterly-job-11] |   | `-- Extracting indexinfo-0.3.1: .... done
[130i386-quarterly-job-11] |   `-- Extracting gettext-runtime-0.21: .......... done
[130i386-quarterly-job-11] |   `-- Installing libffi-3.3_1...
[130i386-quarterly-job-11] |   `-- Extracting libffi-3.3_1: .......... done
[130i386-quarterly-job-11] |   `-- Installing mpdecimal-2.5.1...
[130i386-quarterly-job-11] |   `-- Extracting mpdecimal-2.5.1: .......... done
[130i386-quarterly-job-11] |   `-- Installing readline-8.1.1...
[130i386-quarterly-job-11] |   `-- Extracting readline-8.1.1: .......... done
[130i386-quarterly-job-11] `-- Extracting python38-3.8.12: .......... done
[130i386-quarterly-job-11] Extracting py38-setuptools-57.0.0: .......... done
=====
Message from python38-3.8.12:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py38-gdbm       databases/py-gdbm_at_py38
py38-sqlite3    databases/py-sqlite3_at_py38
py38-tkinter    x11-toolkits/py-tkinter_at_py38
===>   py38-flask-migrate-3.1.0 depends on package: py38-setuptools>0 - found
===>   Returning to build of py38-flask-migrate-3.1.0
===>   py38-flask-migrate-3.1.0 depends on file: /usr/local/bin/python3.8 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py38-flask-migrate-3.1.0
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py38-flask-migrate-3.1.0
running build
running build_py
creating build
creating build/lib
creating build/lib/flask_migrate
copying src/flask_migrate/__init__.py -> build/lib/flask_migrate
copying src/flask_migrate/cli.py -> build/lib/flask_migrate
running egg_info
writing src/Flask_Migrate.egg-info/PKG-INFO
writing dependency_links to src/Flask_Migrate.egg-info/dependency_links.txt
writing entry points to src/Flask_Migrate.egg-info/entry_points.txt
writing requirements to src/Flask_Migrate.egg-info/requires.txt
writing top-level names to src/Flask_Migrate.egg-info/top_level.txt
reading manifest file 'src/Flask_Migrate.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
adding license file 'LICENSE'
writing manifest file 'src/Flask_Migrate.egg-info/SOURCES.txt'
creating build/lib/flask_migrate/templates
creating build/lib/flask_migrate/templates/aioflask
copying src/flask_migrate/templates/aioflask/README -> build/lib/flask_migrate/templates/aioflask
copying src/flask_migrate/templates/aioflask/alembic.ini.mako -> build/lib/flask_migrate/templates/aioflask
copying src/flask_migrate/templates/aioflask/env.py -> build/lib/flask_migrate/templates/aioflask
copying src/flask_migrate/templates/aioflask/script.py.mako -> build/lib/flask_migrate/templates/aioflask
creating build/lib/flask_migrate/templates/aioflask-multidb
copying src/flask_migrate/templates/aioflask-multidb/README -> build/lib/flask_migrate/templates/aioflask-multidb
copying src/flask_migrate/templates/aioflask-multidb/alembic.ini.mako -> build/lib/flask_migrate/templates/aioflask-multidb
copying src/flask_migrate/templates/aioflask-multidb/env.py -> build/lib/flask_migrate/templates/aioflask-multidb
copying src/flask_migrate/templates/aioflask-multidb/script.py.mako -> build/lib/flask_migrate/templates/aioflask-multidb
creating build/lib/flask_migrate/templates/flask
copying src/flask_migrate/templates/flask/README -> build/lib/flask_migrate/templates/flask
copying src/flask_migrate/templates/flask/alembic.ini.mako -> build/lib/flask_migrate/templates/flask
copying src/flask_migrate/templates/flask/env.py -> build/lib/flask_migrate/templates/flask
copying src/flask_migrate/templates/flask/script.py.mako -> build/lib/flask_migrate/templates/flask
creating build/lib/flask_migrate/templates/flask-multidb
copying src/flask_migrate/templates/flask-multidb/README -> build/lib/flask_migrate/templates/flask-multidb
copying src/flask_migrate/templates/flask-multidb/alembic.ini.mako -> build/lib/flask_migrate/templates/flask-multidb
copying src/flask_migrate/templates/flask-multidb/env.py -> build/lib/flask_migrate/templates/flask-multidb
copying src/flask_migrate/templates/flask-multidb/script.py.mako -> build/lib/flask_migrate/templates/flask-multidb
===========================================================================
=======================<phase: run-depends    >============================
===>   py38-flask-migrate-3.1.0 depends on package: py38-Flask>=0.9 - not found
===>   Installing existing package /packages/All/py38-Flask-1.1.2.pkg
[130i386-quarterly-job-11] Installing py38-Flask-1.1.2...
[130i386-quarterly-job-11] `-- Installing py38-Jinja2-3.0.1...
[130i386-quarterly-job-11] |   `-- Installing py38-Babel-2.9.1...
[130i386-quarterly-job-11] |   | `-- Installing py38-pytz-2021.1,1...
[130i386-quarterly-job-11] |   | `-- Extracting py38-pytz-2021.1,1: .......... done
[130i386-quarterly-job-11] |   `-- Extracting py38-Babel-2.9.1: .......... done
[130i386-quarterly-job-11] |   `-- Installing py38-markupsafe-2.0.1...
[130i386-quarterly-job-11] |   `-- Extracting py38-markupsafe-2.0.1: .......... done
[130i386-quarterly-job-11] `-- Extracting py38-Jinja2-3.0.1: .......... done
[130i386-quarterly-job-11] `-- Installing py38-click-7.1.2...
[130i386-quarterly-job-11] `-- Extracting py38-click-7.1.2: .......... done
[130i386-quarterly-job-11] `-- Installing py38-itsdangerous-0.24...
[130i386-quarterly-job-11] `-- Extracting py38-itsdangerous-0.24: .......... done
[130i386-quarterly-job-11] `-- Installing py38-werkzeug-2.0.1...
[130i386-quarterly-job-11] |   `-- Installing py38-openssl-20.0.1...
[130i386-quarterly-job-11] |   | `-- Installing py38-cryptography-3.3.2...
[130i386-quarterly-job-11] |   |   `-- Installing py38-cffi-1.14.6...
[130i386-quarterly-job-11] |   |   | `-- Installing py38-pycparser-2.20...
[130i386-quarterly-job-11] |   |   | `-- Extracting py38-pycparser-2.20: .......... done
[130i386-quarterly-job-11] |   |   `-- Extracting py38-cffi-1.14.6: .......... done
[130i386-quarterly-job-11] |   |   `-- Installing py38-six-1.16.0...
[130i386-quarterly-job-11] |   |   `-- Extracting py38-six-1.16.0: .......... done
[130i386-quarterly-job-11] |   | `-- Extracting py38-cryptography-3.3.2: .......... done
[130i386-quarterly-job-11] |   `-- Extracting py38-openssl-20.0.1: .......... done
[130i386-quarterly-job-11] `-- Extracting py38-werkzeug-2.0.1: .......... done
[130i386-quarterly-job-11] Extracting py38-Flask-1.1.2: .......... done
===>   py38-flask-migrate-3.1.0 depends on package: py38-Flask>=0.9 - found
===>   Returning to build of py38-flask-migrate-3.1.0
===>   py38-flask-migrate-3.1.0 depends on package: py38-flask-sqlalchemy>=1.0 - not found
===>   Installing existing package /packages/All/py38-flask-sqlalchemy-2.5.1_1.pkg
[130i386-quarterly-job-11] Installing py38-flask-sqlalchemy-2.5.1_1...
[130i386-quarterly-job-11] `-- Installing py38-sqlalchemy14-1.4.25...
[130i386-quarterly-job-11] |   `-- Installing py38-greenlet-1.1.1...
[130i386-quarterly-job-11] |   `-- Extracting py38-greenlet-1.1.1: .......... done
[130i386-quarterly-job-11] |   `-- Installing py38-sqlite3-3.8.12_7...
[130i386-quarterly-job-11] |   | `-- Installing sqlite3-3.35.5_3,1...
[130i386-quarterly-job-11] |   |   `-- Installing libedit-3.1.20210216,1...
[130i386-quarterly-job-11] |   |   `-- Extracting libedit-3.1.20210216,1: .......... done
[130i386-quarterly-job-11] |   | `-- Extracting sqlite3-3.35.5_3,1: .......... done
[130i386-quarterly-job-11] |   `-- Extracting py38-sqlite3-3.8.12_7: ........ done
[130i386-quarterly-job-11] `-- Extracting py38-sqlalchemy14-1.4.25: .......... done
[130i386-quarterly-job-11] Extracting py38-flask-sqlalchemy-2.5.1_1: .......... done
===>   py38-flask-migrate-3.1.0 depends on package: py38-flask-sqlalchemy>=1.0 - found
===>   Returning to build of py38-flask-migrate-3.1.0
===>   py38-flask-migrate-3.1.0 depends on package: py38-alembic>=0.7 - not found
===>   Installing existing package /packages/All/py38-alembic-1.4.3.pkg
[130i386-quarterly-job-11] Installing py38-alembic-1.4.3...
[130i386-quarterly-job-11] `-- Installing py38-dateutil-2.8.1...
[130i386-quarterly-job-11] `-- Extracting py38-dateutil-2.8.1: .......... done
[130i386-quarterly-job-11] `-- Installing py38-mako-1.0.14_1...
[130i386-quarterly-job-11] |   `-- Installing py38-beaker-1.11.0...
[130i386-quarterly-job-11] |   `-- Extracting py38-beaker-1.11.0: .......... done
[130i386-quarterly-job-11] `-- Extracting py38-mako-1.0.14_1: .......... done
[130i386-quarterly-job-11] `-- Installing py38-python-editor-1.0.4...
[130i386-quarterly-job-11] `-- Extracting py38-python-editor-1.0.4: .......... done
[130i386-quarterly-job-11] `-- Installing py38-sqlalchemy12-1.2.19...
pkg-static: py38-sqlalchemy12-1.2.19 conflicts with py38-sqlalchemy14-1.4.25 (installs files into the same place).  Problematic file: /usr/local/share/doc/py38-sqlalchemy/_images/sqla_arch_small.png

Failed to install the following 1 package(s): /packages/All/py38-alembic-1.4.3.pkg
*** Error code 1

Stop.
make: stopped in /usr/ports/www/py-flask-migrate
Received on Thu Oct 21 2021 - 01:24:30 UTC

Original text of this message